Bug 129302 - MAX_IO_APICS increase to 16
Summary: MAX_IO_APICS increase to 16
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jim Paradis
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-06 04:07 UTC by Nakul Saraiya
Modified: 2013-08-06 01:07 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2004-12-20 20:55:51 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:550 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 3 Update 4 2004-12-20 05:00:00 UTC

Description Nakul Saraiya 2004-08-06 04:07:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
We are shipping Opteron systems which will enter Alpha with marquee 
customers very soon.  They will be running AMD64 RHAS3 in the alpha 
cycle.

Our systems require >8 IOAPICs to function.  The suggested change to 
the RHEL kernel is to increase MAX_IO_APICS to 16 in file include/asm-
x86_64/apicdef.h

This change has been made in the 2.4.26 x86_64 kernel on kernel.org 
and is also in 2.6.

Tx.

Version-Release number of selected component (if applicable):
kernel-2.4.21-17.EL

How reproducible:
Always

Steps to Reproduce:
1. Boot a system with >8 IOAPICs (such as Fabric7 systems).
2.
3.
    

Additional info:

Our Alpha/Beta sites include members of RedHat's customer base on 
Wall Street.

Comment 1 Jim Paradis 2004-08-13 18:36:38 UTC
Other parties have requested that this be bumped to 32, so that is
what we'll do.


Comment 2 Ernie Petrides 2004-09-10 01:08:11 UTC
A fix for this problem has just been committed to the RHEL3 U4
patch pool this evening (in kernel version 2.4.21-20.4.EL).


Comment 3 John Flanagan 2004-12-20 20:55:51 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-550.html



Note You need to log in before you can comment on or make changes to this bug.